function battle_sai021(npcID)       --上官雅
	local n=flag.GetBattleValue(12001)
	
	n=n+1
	flag.SetBattleValue(12001,n)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
			
	
	
	if n%4==1 then
		battle.MagicToNpc(npcID,1493,1)
	else
		local a=battle.GetRndNumber(1,10)
		if a>=1 and a<=4 then
			id=battle.GetRndPlayer()        --普通攻击
			battle.AtkToPlayer(id,1)
		elseif a>=5 and a<=7 then
			battle.MagicToPlayer(0,1492,1)  --群攻
		else
			id=battle.GetRndPlayer()        --
			battle.MagicToPlayer(id,1494,1)
		end
	end

end